<div id="bannerFournisseur">
    <div class="col-sm">
      <h3>Informations du fournisseur</h3>
    </div>
  </div>
<br/>
<br/>
<br/>
<div class="container">
    <form >
  
        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-user fa-lg"></i></div>
            </div>
            <input type="text" class="form-control"  placeholder="{{selectedFournisseur.nom}}" disabled=true>
        </div>

        <br/>
    
        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-map-marker fa-lg"></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedFournisseur.adresse}}" disabled=true>
        </div>

        <br/>

        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-building-o fa-lg"></i></div>
            </div>
            <input type="text" class="form-control"  placeholder="{{selectedFournisseur.ville.codePostal}} {{selectedFournisseur.ville.nom}}" disabled=true>
        </div>

        <br/>

        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-phone fa-lg"></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedFournisseur.numeroFixe}}" disabled=true>
        </div>

        <br/>

        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-mobile fa-lg" ></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedFournisseur.numeroPort}}" disabled=true>
        </div>

        <br/>
    
        <div class="input-group mb-2 mr-sm-2">
            <div class="input-group-prepend">
                <div class="input-group-text"><i class="fa fa-envelope fa-lg"></i></div>
            </div>
            <input type="text" class="form-control" placeholder="{{selectedFournisseur.email}} " disabled=true>
        </div>

        <br/>
        <button type="submit" class="btn btn-primary mb pull-right" (click)="updateFournisseur()">Mettre à jour</button>
    </form>

         
    <h3 id="achatFournisseur">Achats auprès du fournisseur</h3>
  
    <table datatable id="commandesclientDataTable" [dtTrigger]="dtTrigger" [dtOptions]="dtOptions" class="row-border hover">
        <thead>
            <tr>
                <th style="display:none;">Id</th>
                <th>Date de l'achat</th>
                <th>Produit</th>
                <th>Quantité achetée</th>
                <th>Prix</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let approvisionnement of approvisionnements">
                <td style="display:none;">{{ approvisionnement.id }}</td>
                <td>{{ approvisionnement.dateApprovisionnement | date:'dd/MM/yyyy'}}</td>
                <td>{{ approvisionnement.stock.produit.nom }}</td>
                <td>{{ approvisionnement.quantiteCommandee }}</td>
                <td>{{ approvisionnement.prix | number }} €</td>
            </tr>
        </tbody>
    </table>

</div>
